sudo: required

before_install:
  - sudo apt-get -qq install wput sshpass
  - git clone https://github.com/XiaomiFirmwareUpdater/firmware_xiaomi_capricorn.git -b stable $HOME/XFU/
  - cd $HOME/XFU/ && wget -q https://github.com/XiaomiFirmwareUpdater/mi-firmware-updater/raw/stable/script.sh

script:
  - chmod +x device.sh && chmod +x script.sh
  - ./device.sh

deploy:
  skip_cleanup: true
  provider: releases
  api_key: "$GIT_OAUTH_TOKEN_XFU"
  file_glob: true
  file: $HOME/XFU/*.zip
  on:
    tags: false
    repo: XiaomiFirmwareUpdater/firmware_xiaomi_capricorn
    branch: stable

notifications:
  email:
    on_success: never
    on_failure: always

branches:
  except:
    - /^(?i:untagged)-.*$/
